Skip to main content

The Start Trigger object

You can reference the startTrigger object when a workflow is manually run from the workflow IDE or triggered with a webhook. startTrigger is null when a workflow is configured to use a schedule trigger.

Properties​

All properties for this object with supported data types or values. You can write JavaScript almost anywhere in Retool to manipulate or read property values.

data​

The JSON data.

Type object
Formatobject
Configurability Block editor > Test JSON Parameters
Defaultnull
Examples
false{
"number": "2398252"
}

headers​

An array of headers used by the start trigger. Included on manual and webhook triggers.

Type object
Formatobject
Configurability Block editor > Test Headers
Defaultnull
Examples
false{
"employeeId": "92345324527"}

metadata​

Relevant metadata for the item.

Type array
Array values object
Configurability Read-only
Defaultnull

pathParams​

An array of path parameters used by the start trigger. Included on manual and webhook triggers.

Type object
Formatobject
Configurability Block editor > Test Path Parameters
Defaultnull
Examples
false{
"itemID": "12345"}

urlParams​

An array of URL parameters used by the start trigger. Included on webhook triggers only.

Type object
Formatobject
Configurability Read-only
Defaultnull
Examples
false{
"id": "238j23abse9"}